// Copyright 2012 Thomas Loy.
//
// This file is part of LastLog.
//
// LastLog is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// LastLog is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with LastLog.  If not, see <http://www.gnu.org/licenses/>.

package edu.self.lastLog;

import org.bukkit.command.CommandSender;

public class LastLogWorker
{
        protected LastLogPlugin plugin;
        protected CommandSender sender;
        protected PlayerList playerList;
        protected int pageNumber;
        protected boolean lastLog;

        public LastLogWorker(LastLogPlugin plugin, CommandSender sender, PlayerList playerList, int pageNumber, boolean lastLog) {
                this.plugin = plugin;
                this.sender = sender;
                this.playerList = playerList;
                this.pageNumber = pageNumber;
                this.lastLog = lastLog;
        }

        // copy constructor
        public LastLogWorker(LastLogWorker other) {
                plugin = other.plugin;
                sender = other.sender;
                playerList = other.playerList;
                pageNumber = other.pageNumber;
                lastLog = other.lastLog;
        }
}